Tag Parser: TagParser::DiagMessage Class Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
TagParser::DiagMessage Class Reference

The DiagMessage class holds an information, warning or error gathered during parsing or making. More...

`#include <diagnostics.h>`

## Public Member Functions
| DiagMessage (DiagLevel level, const std::string &message, const std::string &context)
| Constructs a new DiagMessage.
| DiagMessage (DiagLevel level, std::string &&message, const std::string &context)
| Constructs a new DiagMessage.
| DiagMessage (DiagLevel level, const std::string &message, std::string &&context)
| Constructs a new DiagMessage.
| DiagMessage (DiagLevel level, std::string &&message, std::string &&context)
| Constructs a new DiagMessage.
DiagLevel | level () const
| Returns the level.
std::string_view | levelName () const
| Returns the string representation of the level().
const std::string & | message () const
| Returns the message.
const std::string & | context () const
| Returns the context.
const CppUtilities::DateTime & | creationTime () const
| Returns the creation time (using GMT timezone).
bool | operator== (const DiagMessage &other) const
| Returns whether the current instance equals other.

## Static Public Member Functions
static std::string | formatList (const std::vector< std::string > &values)
| Concatenates the specified string values to a list.

## Detailed Description

The DiagMessage class holds an information, warning or error gathered during parsing or making.

Definition at line 41 of file diagnostics.h.

## Constructor & Destructor Documentation

## ◆ DiagMessage() [1/4]

TagParser::DiagMessage::DiagMessage | ( | DiagLevel | level,
|  | const std::string & | message,
|  | const std::string & | context )
| inline

Constructs a new DiagMessage.

Definition at line 67 of file diagnostics.h.

## ◆ DiagMessage() [2/4]

TagParser::DiagMessage::DiagMessage | ( | DiagLevel | level,
|  | std::string && | message,
|  | const std::string & | context )
| inline

Constructs a new DiagMessage.

Definition at line 78 of file diagnostics.h.

## ◆ DiagMessage() [3/4]

TagParser::DiagMessage::DiagMessage | ( | DiagLevel | level,
|  | const std::string & | message,
|  | std::string && | context )
| inline

Constructs a new DiagMessage.

Definition at line 89 of file diagnostics.h.

## ◆ DiagMessage() [4/4]

TagParser::DiagMessage::DiagMessage | ( | DiagLevel | level,
|  | std::string && | message,
|  | std::string && | context )
| inline

Constructs a new DiagMessage.

Definition at line 100 of file diagnostics.h.

## Member Function Documentation

## ◆ context()

const std::string & TagParser::DiagMessage::context | ( |  | ) | const
| inline

Returns the context.

Definition at line 135 of file diagnostics.h.

## ◆ creationTime()

const CppUtilities::DateTime & TagParser::DiagMessage::creationTime | ( |  | ) | const
| inline

Returns the creation time (using GMT timezone).

Definition at line 143 of file diagnostics.h.

## ◆ formatList()

string TagParser::DiagMessage::formatList | ( | const std::vector< std::string > & | values | ) |
| static

Concatenates the specified string values to a list.

Definition at line 69 of file diagnostics.cpp.

## ◆ level()

DiagLevel TagParser::DiagMessage::level | ( |  | ) | const
| inline

Returns the level.

Definition at line 111 of file diagnostics.h.

## ◆ levelName()

std::string_view TagParser::DiagMessage::levelName | ( |  | ) | const
| inline

Returns the string representation of the level().

Definition at line 119 of file diagnostics.h.

## ◆ message()

const std::string & TagParser::DiagMessage::message | ( |  | ) | const
| inline

Returns the message.

Definition at line 127 of file diagnostics.h.

## ◆ operator==()

bool TagParser::DiagMessage::operator== | ( | const DiagMessage & | other | ) | const
| inline

Returns whether the current instance equals other.

Everything but the creationTime() is considered.

Definition at line 151 of file diagnostics.h.

The documentation for this class was generated from the following files:

- diagnostics.h
- diagnostics.cpp